=== debian/changelog ===
cpuinfo (0.0~git20181219.a974884-2) unstable; urgency=medium

  * Allow output to stderr during autopkgtest.
  * Change default log level to "warning" to make the library quiet.
    (Closes: #918177)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 05 Jan 2019 02:01:09 +0000

cpuinfo (0.0~git20181219.a974884-1) unstable; urgency=medium

  * New upstream version 0.0~git20181219.a974884
  * Fix FTBFS on i386, due to missing shared object in ld's path.
  * Fix FTBFS on arm* because files to be installed diverges from x86.
  * Add watch file to monitor upstream git HEAD.
  * Refresh symbols control file.
  * Dump cpu information before running tests, for debugging purpose.

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 19 Dec 2018 12:09:13 +0000

cpuinfo (0.0~git20181113.3bf2c72-1) unstable; urgency=low

  * Initial release. (Closes: #915979)

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 09 Dec 2018 06:03:10 +0000
