## cpuinfo 0.0~git20181227.2d2bfa4

=== CMakeLists.txt ===
--- 
+++ 
@@ -209,7 +209,7 @@
 TARGET_INCLUDE_DIRECTORIES(cpuinfo_internals BEFORE PUBLIC include src)
 IF(CPUINFO_LOG_LEVEL STREQUAL "default")
   # default logging level: error (subject to change)
-  TARGET_COMPILE_DEFINITIONS(cpuinfo PRIVATE CPUINFO_LOG_LEVEL=4)
+  TARGET_COMPILE_DEFINITIONS(cpuinfo PRIVATE CPUINFO_LOG_LEVEL=2)
 ELSEIF(CPUINFO_LOG_LEVEL STREQUAL "debug")
   TARGET_COMPILE_DEFINITIONS(cpuinfo PRIVATE CPUINFO_LOG_LEVEL=5)
 ELSEIF(CPUINFO_LOG_LEVEL STREQUAL "info")
