=== debian/changelog ===
cpuinfo (0.0~git20181227.2d2bfa4-1) unstable; urgency=medium

  * New upstream version 0.0~git20181227.2d2bfa4
  * Bump Standards-Version to 4.3.0 (no change).
  * Bump debhelper compat to 12.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 12 Jan 2019 05:33:49 +0000
