=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: science
 Homepage: https://github.com/pytorch/cpuinfo
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/cpuinfo.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/cpuinfo
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper (>= 11~), googletest, cmake,
+Build-Depends: debhelper (>= 12~), googletest, cmake,
 
 Package: cpuinfo
 Architecture: any
