## cpuinfo 0.0~git20190118.da0a91b

=== debian/changelog ===
cpuinfo (0.0~git20190118.da0a91b-1) unstable; urgency=medium

  [ Alexander GQ Gerasiov ]
  * Add debian/patches/add-binaries-install.patch instead of
    arch-specific cpuinfo.install files.
  * d/control: Limit Architecture with only supported ones.

  [ Mo Zhou ]
  * New upstream version 0.0~git20190118.da0a91b

 -- Mo Zhou <cdluminate@gmail.com>  Wed, 30 Jan 2019 02:02:25 +0000
