## cpuinfo 0.0~git20190201.d5e37ad

=== debian/changelog ===
cpuinfo (0.0~git20190201.d5e37ad-2) unstable; urgency=medium

  [ Rafael David Tinoco ]
  * debian/rules: Set CPUINFO_LOG_LEVEL to error only (LP: #1840847)

 -- Mo Zhou <cdluminate@gmail.com>  Thu, 22 Aug 2019 07:01:35 +0000

cpuinfo (0.0~git20190201.d5e37ad-1) unstable; urgency=medium

  * New upstream version 0.0~git20190201.d5e37ad
  * Remove add-binaries-install.patch, merged upstream.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 04 Feb 2019 06:36:46 +0000
