=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends: debhelper (>= 12~), googletest, cmake,
 
 Package: cpuinfo
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 x32
 Multi-Arch: no
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcpuinfo0 (= ${binary:Version}),
 Description: CPU INFOrmation library (binary utilities)
@@ -50,7 +50,7 @@
 
 Package: libcpuinfo-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 x32
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcpuinfo0 (= ${binary:Version}),
 Description: CPU INFOrmation library (header file)
@@ -90,7 +90,7 @@
 
 Package: libcpuinfo0
 Section: libs
-Architecture: any
+Architecture: amd64 arm64 armel armhf i386 x32
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends},
 Description: CPU INFOrmation library (shared object)
