=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,8 @@
 		-DGOOGLETEST_SOURCE_DIR=/usr/src/googletest/ \
 		-DCPUINFO_BUILD_BENCHMARKS=OFF \
 		-DCPUINFO_LIBRARY_TYPE=shared \
-		-DCPUINFO_LOG_LEVEL=warning \
+		-DCPUINFO_LOG_LEVEL=error \
 		-DCMAKE_SKIP_RPATH=ON
-	# arch-specific install file
-	if [ -r debian/cpuinfo.install.$(DEB_HOST_ARCH) ]; then \
-		cp debian/cpuinfo.install.$(DEB_HOST_ARCH) debian/cpuinfo.install; \
-		fi
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
