=== debian/changelog ===
cpuinfo (0.0~git20200422.a1e0b95-2) unstable; urgency=medium

  * Install libclog.a and clog.h in libcpuinfo-dev,
    as clog is used by too many reverse dependencies.
  * Bump debhelper compat level to 13.
  * Apply wrap-and-sort.

 -- Mo Zhou <lumin@debian.org>  Thu, 30 Apr 2020 23:05:06 +0800

cpuinfo (0.0~git20200422.a1e0b95-1) unstable; urgency=medium

  * New upstream version 0.0~git20200422.a1e0b95
  * Incorporate upstream LICENSE updates to d/copyright.
  * Update my mail address in control and d/copyright.
  * Bump Standards-Version to 4.5.0 (no change).
  * Specify Rules-Requires-Root: no.
  * Specify Build-Depends-Package in symbols control file.
  * Refresh symbols control file (new symbols)
  * B-D on debhelper-compat (= 12) and deprecate d/compat.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Apr 2020 13:35:55 +0800
