=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: science
 Homepage: https://github.com/pytorch/cpuinfo
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/cpuinfo.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/cpuinfo
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Mo Zhou <cdluminate@gmail.com>,
-Build-Depends: debhelper (>= 12~), googletest, cmake,
+Uploaders: Mo Zhou <lumin@debian.org>
+Build-Depends: cmake, debhelper-compat (= 13), googletest
+Rules-Requires-Root: no
 
 Package: cpuinfo
 Architecture: amd64 arm64 armel armhf i386 x32
 Multi-Arch: no
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcpuinfo0 (= ${binary:Version}),
+Depends: libcpuinfo0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: CPU INFOrmation library (binary utilities)
  cpuinfo is a library to detect essential for performance optimization
  information about host CPU.
@@ -52,7 +53,7 @@
 Section: libdevel
 Architecture: amd64 arm64 armel armhf i386 x32
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}, libcpuinfo0 (= ${binary:Version}),
+Depends: libcpuinfo0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: CPU INFOrmation library (header file)
  cpuinfo is a library to detect essential for performance optimization
  information about host CPU.
@@ -92,7 +93,7 @@
 Section: libs
 Architecture: amd64 arm64 armel armhf i386 x32
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: CPU INFOrmation library (shared object)
  cpuinfo is a library to detect essential for performance optimization
  information about host CPU.
