=== debian/changelog ===
cpuinfo (0.0~git20200612.63b2545-2) unstable; urgency=medium

  * Allow building libcpuinfo{0,-dev} on other architectures.
  * Change maintainer to Deep Learning Team <debian-ai@l.d.o>.
  * Please pin to this upstream snapshot for PyTorch 1.7.0.

 -- Mo Zhou <lumin@debian.org>  Thu, 29 Oct 2020 13:28:03 +0800

cpuinfo (0.0~git20200612.63b2545-1) unstable; urgency=medium

  * New upstream version 0.0~git20200612.63b2545
  * Refresh symbols control file (+1 new symbol)

 -- Mo Zhou <lumin@debian.org>  Mon, 31 Aug 2020 10:14:21 +0800
