=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/deeplearning-team/cpuinfo.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/cpuinfo
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13), googletest
 Rules-Requires-Root: no
@@ -51,7 +51,7 @@
 
 Package: libcpuinfo-dev
 Section: libdevel
-Architecture: amd64 arm64 armel armhf i386 x32
+Architecture: any
 Multi-Arch: same
 Depends: libcpuinfo0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: CPU INFOrmation library (header file)
@@ -91,7 +91,7 @@
 
 Package: libcpuinfo0
 Section: libs
-Architecture: amd64 arm64 armel armhf i386 x32
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: CPU INFOrmation library (shared object)
