## cpuinfo 0.0~git20201217.5916273

=== debian/changelog ===
cpuinfo (0.0~git20201217.5916273-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Thu, 02 Sep 2021 02:05:57 +0000

cpuinfo (0.0~git20201217.5916273-1) experimental; urgency=medium

  * New upstream version 0.0~git20201217.5916273
    Please pin to this snapshot for PyTorch/v1.8.1
  * Refresh existing patches.

 -- Mo Zhou <lumin@debian.org>  Wed, 19 May 2021 13:03:47 +0800
