=== debian/changelog ===
cpuinfo (0.0~git20220131.85e931e-1) unstable; urgency=medium

  * New upstream version 0.0~git20220131.85e931e
    There is no ABI/API change since git20201217.5916273, so this snapshot
    should be fine for the PyTorch/v1.8.X LTS release.
  * Install the new pkg-config file in -dev package.
  * Bump Standards-Version to 4.6.0.1 (no change).

 -- Mo Zhou <lumin@debian.org>  Mon, 21 Feb 2022 14:08:05 -0500
