=== debian/changelog ===
cpuinfo (0.0~git20220617.082deff-2) unstable; urgency=medium

  * Team upload.
  * Install cmake files in the correction location (Closes: #1024772)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 17 Jun 2023 10:04:14 +0200

cpuinfo (0.0~git20220617.082deff-1) unstable; urgency=medium

  * New upstream version 0.0~git20220617.082deff
    This snapshot should be ok for PyTorch/v1.12.X release.
  * Install newly exported cmake config files.

 -- Mo Zhou <lumin@debian.org>  Thu, 23 Jun 2022 21:53:07 -0700
