=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Homepage: https://github.com/pytorch/cpuinfo
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Vcs-Git: https://salsa.debian.org/deeplearning-team/cpuinfo.git
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/cpuinfo
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
@@ -52,7 +52,6 @@
 Package: libcpuinfo-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: libcpuinfo0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: CPU INFOrmation library (header file)
  cpuinfo is a library to detect essential for performance optimization
