## cpuinfo 0.0~git20220819.8ec7bd9

=== debian/changelog ===
cpuinfo (0.0~git20220819.8ec7bd9-3) unstable; urgency=medium

  * Skip the uarch test which fails on P+E Intel CPUs.
    It fails simply because the upstream has not yet added the
    code for the new architectures. But at least the ISA and
    Cache detection are still functional on the new CPUs.
    (Closes: #1024774)

 -- Mo Zhou <lumin@debian.org>  Mon, 11 Sep 2023 20:12:00 -0400

cpuinfo (0.0~git20220819.8ec7bd9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Fri, 18 Aug 2023 15:53:18 -0400

cpuinfo (0.0~git20220819.8ec7bd9-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream version 0.0~git20220819.8ec7bd9
  * Please pin to this snapshot for PyTorch/v2.0.1 release.
  * Remove the shlibs:Depends from -dev package.
  * Update lintian overrides.

 -- Mo Zhou <lumin@debian.org>  Sun, 25 Jun 2023 21:03:28 +0000
